polybori::pbori_traits< std::vector< ValueType > > Class Template Reference

`#include <traits.h>`

Inheritance diagram for polybori::pbori_traits< std::vector< ValueType > >:

## Additional Inherited Members

Public Types inherited from polybori::CTypes
typedef COrderEnums | orderenums_type
typedef CErrorEnums | errorenums_type
typedef CCompareEnums | compenums_type
typedef CAuxTypes | auxtypes_type
Public Types inherited from polybori::COrderEnums
enum | ordercodes { lp, dlex, dp_asc, block_dlex, block_dp_asc }
| Codes For orderings. More...
Public Types inherited from polybori::CErrorEnums
enum | errorcodes { alright = 0, failed, no_ring, invalid, out_of_bounds, io_error, monomial_zero, illegal_on_zero, division_by_zero, invalid_ite, not_implemented, matrix_size_exceeded, last_error }
| Error codes enumeration. More...
Public Types inherited from polybori::CCompareEnums
enum | comparecodes { less_than = -1, equality = 0, greater_than = +1, less_or_equal_max = 0, greater_or_equal_min = 0 }
| Comparision codes enumeration. More...
enum | { max_idx = ((DdHalfWord) ~0) }
Public Types inherited from polybori::CAuxTypes
typedef bool | bool_type
| Type for standard true/false statements. More...
typedef std::size_t | size_type
| Type for lengths, dimensions, etc. More...
typedef int | deg_type
| Type for polynomial degrees (ranges from -1 to maxint) More...
typedef int | integer_type
| Type for integer numbers. More...
typedef int | idx_type
| Type for indices. More...
typedef std::size_t | hash_type
| Type for hashing. More...
typedef unsigned int | errornum_type
| Type used to store error codes. More...
typedef short int | comp_type
| Type for comparisons. More...
typedef int | ordercode_type
| Type for ordering codes. More...
typedef const char * | errortext_type
| Type used to verbose error information. More...
typedef std::ostream | ostream_type
| Type for out-stream. More...
typedef const char * | vartext_type
| Type for setting/getting names of variables. More...
typedef unsigned long | large_size_type
| large size_type (necessary?) More...
typedef std::size_t | refcount_type
| Type for counting references. More...
Public Types inherited from polybori::equality_property< invalid_tag >
typedef invalid_tag | easy_equality_property
| Set marker for validity. More...
Static Public Member Functions inherited from polybori::CTypes
static idx_type | max_index ()
| Type of interface to binary decicion diagrams. More...

The documentation for this class was generated from the following file:

- traits.h